/* PAGE D'ACCUEIL */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Lato', sans-serif;
    color: #1a1a1a;
    line-height: 1.6;
}

html { scroll-behavior: smooth; }

li {
    list-style: none;
}

.sr-only {
    position:absolute;
    width:1px;
    height:1px;
    padding:0;
    margin:-1px;
    overflow:hidden;
    clip:rect(0,0,0,0);
    white-space:nowrap;
    border:0;
}

:focus-visible {
  outline: 3px solid #000;
  outline-offset: 5px;
  border-radius: 8px;
}


/* NAVIGATION */
header {
    background: white;
    padding: 20px 0 10px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.05);
    position: sticky;
    top: 0;
    z-index: 100;
}

.navbar-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar-container img {
    z-index: 1000;
    width: 100px;
    aspect-ratio: 1 / 1;
    height: auto;
    display: block;         /* supprime le gap baseline */
    object-fit: contain;
}

button.nav-toggle {
    display: none;
    border: 0;
    background: transparent;
    padding: 6px;
    cursor: pointer;
    color: #0D2C5B;
}

.nav-toggle .icon-close { display: none; }

.nav-links {
    display: flex;
    gap: 30px;
    list-style: none;
}

.nav-links a {
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    font-weight: 600;
    color: #0D2C5B;
    text-decoration: none;
    transition: color 0.3s;
}

.nav-links a[aria-current="page"] {
    background-color: #f39c88;
    /* color: white; */
    padding: 10px;
    border-radius: 8px;
}

.nav-links a[aria-current="page"]:hover {
    color: #0D2C5B;
}

.nav-links a:hover {
    color: #f39c88;
}

/* Footer */
footer {
    background: #0D2C5B;
    display: flex;
    flex-direction: column;
    padding: 100px 195px 20px;
    gap: 50px;
    align-items: center;
}

.footer-container {
    /* display: grid;
    grid-template-columns: repeat(4, 1fr); 
    gap: 50px; */
    display: flex;
    justify-content: flex-end;
    gap: 100px;
}

.footer-container .logo-container img {
    width: 150px;
    height: auto;
    object-fit: contain;
}

.footer-heading {
    font-weight: 500;
    color: white;
    font-family: 'Montserrat', sans-serif;
    font-size: 22px;
    margin-bottom: 20px;
}

.footer-links {
    border-left: #f39c88 2px solid;
    padding-left: 20px;
}

.footer-links ul {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    gap: 5px;
}

.footer-links ul a {
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    color: white;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-links ul a:hover, .footer-contact-links a:hover {
    color: #f39c88;
}

.articles-container .content {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    max-height: 390px;
    overflow-y: auto;
    padding: 5px 8px 5px 5px;
}

/* --- SCROLLBAR FIREFOX --- */
@supports (-moz-appearance: none) {
    .articles-container .content {
        scrollbar-width: thin;
        scrollbar-color: #f39c88 #919191;
        scrollbar-gutter: stable;
    }
}

/* --- SCROLLBAR CHROME / EDGE / SAFARI --- */
.articles-container .content::-webkit-scrollbar {
    width: 3px;
}

.articles-container .content::-webkit-scrollbar-track {
    background: #919191;
    border-radius: 10px;
}

.articles-container .content::-webkit-scrollbar-thumb {
    background: #f39c88;
    border-radius: 10px;
}

.articles-container article {
    box-shadow: 0 2px 10px rgba(0,0,0,0.5);
    border-radius: 10px;
    padding: 10px;
    transition: all 0.3s ease;
}

.articles-container article:hover {
    transform: translateY(-2px);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.6);
}

.articles-container article a{
    display: flex;
    text-decoration: none;
    color: white;
    gap: 20px;
}

.articles-container article:hover span{
    color: #f39c88;
    transition: all 0.3s ease;
}

.articles-container .article-image {
    width: 120px;
    height: 90px;
    overflow: hidden;
    flex-shrink: 0;
}

.articles-container article img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    display: block;
}

.articles-container .article-info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.articles-container article h2 {
    font-size: 15px;
    font-family: 'lato', sans-serif;
    font-weight: 400;
    margin: 0;
    text-decoration: underline;
}

.articles-container article span {
    font-size: 12px;
}

.contact-container .cta-container {
    margin-bottom: 35px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
}

.btn-footer {
    background: transparent;
    color: white;
    border: 2px solid rgba(255, 255, 255, 0.5);
    display: inline-block;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    text-decoration: none;
    padding: 18px 40px;
    border-radius: 8px;
    transition: all 0.3s;
}

.btn-footer:hover {
    background: rgba(243, 156, 136, 0.1);
    border-color: #f39c88;
}

.contact-container .cta-container .footer-contact-links {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    gap: 10px;
}

.contact-container .cta-container .footer-contact-links a {
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    color: white;
    text-decoration: none;
    transition: color 0.3s;
    display: flex;
    gap: 15px;
}

.contact-container .cta-container .footer-contact-links a:hover {
    color: #f39c88;
}

footer .copyright-container p {
    text-align: center;
    color: white;
    opacity: 0.5;
    font-size: 14px;
    margin-bottom: 5px;
}

.social-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.social-container .picto-container {
    display: flex;
    gap: 20px;
}

.picto-footer {
    width: 40px;
}




